CREATE SEQUENCE Con_Id MINVALUE 1 INCREMENT 1;
 
CREATE TABLE Concorrente 
	(Con_Id smallint NOT NULL  DEFAULT nextval('Con_Id'), 
	 Con_Chave VARCHAR(20) NOT NULL , 
	 Con_Nome VARCHAR(40) NOT NULL , 
	 Con_Lista VARCHAR(55) NOT NULL , 
	 Con_Ativo BOOLEAN NOT NULL , 
	 Con_InclusoEm timestamp without time zone NOT NULL , 
	 Con_AlteradoEm timestamp without time zone NOT NULL , 
	 Con_Assinatura VARCHAR(50) NOT NULL , PRIMARY KEY(Con_Id)) ;

CREATE INDEX IN_CONCORRENTE_LISTA ON Concorrente (Con_Lista);

CREATE INDEX IN_CONCORRENTE_NOME ON Concorrente (Con_Nome);

CREATE INDEX UQ_CONCORRENTE_CHAVE ON Concorrente (Con_Chave);

CREATE SEQUENCE MotPre_Id MINVALUE 1 INCREMENT 1;
 
CREATE TABLE MotivoPreco 
	(MotPre_Id smallint NOT NULL  DEFAULT nextval('MotPre_Id'), 
	 MotPre_Chave VARCHAR(20) NOT NULL , 
	 MotPre_Descricao VARCHAR(40) NOT NULL , 
	 MotPre_Lista VARCHAR(55) NOT NULL , 
	 MotPre_Uso VARCHAR(1) NOT NULL , 
	 MotPre_SolicitaConcorrente BOOLEAN NOT NULL , 
	 MotPre_Permissao smallint NOT NULL , 
	 MotPre_Ativo BOOLEAN NOT NULL , 
	 MotPre_InclusoEm timestamp without time zone NOT NULL , 
	 MotPre_AlteradoEm timestamp without time zone NOT NULL , 
	 MotPre_Assinatura VARCHAR(50) NOT NULL , PRIMARY KEY(MotPre_Id)) ;
 
 CREATE UNIQUE INDEX UQ_MOTIVOPRECO_CHAVE ON MotivoPreco (MotPre_Chave);

CREATE INDEX IN_MOTIVOPRECO_LISTA ON MotivoPreco (MotPre_Lista);

CREATE INDEX IN_MOTIVOPRECO_DESCRICAO ON MotivoPreco (MotPre_Descricao);

ALTER TABLE DocumentoItem ADD Con_Id smallint , ADD MotPre_Id smallint;
 
CREATE INDEX FK_DOCITEM_CONCORRENTE ON DocumentoItem (Con_Id);

CREATE INDEX FK_DOCITEM_MOTIVOPRECO ON DocumentoItem (MotPre_Id);

ALTER TABLE DocumentoItem
 ADD CONSTRAINT FK_DOCITEM_MOTIVOPRECO FOREIGN KEY ( MotPre_Id ) REFERENCES MotivoPreco(MotPre_Id);

ALTER TABLE DocumentoItem
 ADD CONSTRAINT FK_DOCITEM_CONCORRENTE FOREIGN KEY ( Con_Id ) REFERENCES Concorrente(Con_Id);

select 'OK' from ambiente;
 
MD5:0DAA1F0A367F843D20B4E7AD4C6CF7B0