CREATE SEQUENCE AliVal_Id MINVALUE 100 INCREMENT 1;
 
CREATE TABLE AliquotaValidade 
	(AliVal_Id smallint NOT NULL  DEFAULT nextval('AliVal_Id'), 
	 AliVal_Inicio date NOT NULL , 
	 AliVal_Fim date NOT NULL , 
	 AliVal_Chave VARCHAR(10) NOT NULL , 
	 AliVal_Fonte VARCHAR(30) NOT NULL , 
	 AliVal_UfId smallint NOT NULL , 
	 Alival_InclusaEm timestamp without time zone NOT NULL , 
	 AliVal_AlteradaEm timestamp without time zone NOT NULL , 
	 AliVal_Assinatura VARCHAR(50) NOT NULL , 
	 AliVal_Versao VARCHAR(10) NOT NULL , 
	 PRIMARY KEY(AliVal_Id) 
	); 
 
ALTER TABLE AliquotaValidade ADD CONSTRAINT FK_ALIQUOTAVALIDADE_UF FOREIGN KEY ( AliVal_UfId ) REFERENCES UnidadeFederativa(Uf_Id);

CREATE UNIQUE INDEX UQ_ALIQUOTAVALIDADE ON AliquotaValidade (
      AliVal_UfId,
      AliVal_Fim,
      AliVal_Inicio);

CREATE SEQUENCE Ali_Id MINVALUE 100 INCREMENT 1;
  
CREATE TABLE Aliquota 
	(Ali_Id bigint NOT NULL  DEFAULT nextval('Ali_Id'), 
	 AliVal_Id smallint NOT NULL , 
	 Ali_Codigo VARCHAR(10) NOT NULL , 
	 Ali_CodigoExcecao smallint NOT NULL , 
	 Ali_TipoProduto VARCHAR(1) NOT NULL , 
	 Ali_FederalNacional NUMERIC(7,4) NOT NULL , 
	 Ali_FederalImportado NUMERIC(7,4) NOT NULL , 
	 Ali_Estadual NUMERIC(7,4) NOT NULL , 
	 Ali_Municipal NUMERIC(7,4) NOT NULL , 
	 Ali_InclusaEm timestamp without time zone NOT NULL , 
	 Ali_AlteradaEm timestamp without time zone NOT NULL , 
	 Ali_Assinatura VARCHAR(50) NOT NULL , 
	 Ali_Chave VARCHAR(20) NOT NULL , 
	 PRIMARY KEY(Ali_Id)
	);

CREATE UNIQUE INDEX UQ_ALIQUOTA_CHAVE ON Aliquota (Ali_Chave);

CREATE INDEX IN_ALIQUOTA ON Aliquota ( AliVal_Id, Ali_TipoProduto, Ali_CodigoExcecao, Ali_Codigo );

ALTER TABLE Aliquota
 ADD CONSTRAINT FK_ALIQUOTA_VALIDADE FOREIGN KEY ( AliVal_Id ) REFERENCES AliquotaValidade(AliVal_Id);

ALTER TABLE Produto DROP Pro_ImpostosTotais;

ALTER TABLE Documento 
	ADD Doc_ImpostosMunicipais NUMERIC(13,2) , 
	ADD Doc_ImpostosEstaduais NUMERIC(13,2) , 
	ADD Doc_ImpostosFederais NUMERIC(13,2) ;
	
ALTER TABLE DocumentoItem 
	ADD DocIte_AliquotaMunicipal NUMERIC(7,4) , 
	ADD DocIte_AliquotaEstadual NUMERIC(7,4) , 
	ADD DocIte_AliquotaFederal NUMERIC(7,4) , 
	ADD DocIte_ImpostosMunicipais NUMERIC(13,2) , 
	ADD DocIte_ImpostosEstaduais NUMERIC(13,2) , 
	ADD DocIte_ImpostosFederais NUMERIC(13,2) ;
  
ALTER TABLE DocumentoItem 
	DROP DocIte_AliquotaImpostosTotais, 
	DROP DocIte_ImpostosTotais;

ALTER TABLE DocumentoItem ADD DocIte_AliId BIGINT;

CREATE INDEX FK_DOCITEM_ALIQUOTA ON DocumentoItem ( DocIte_AliId );

ALTER TABLE DocumentoItem
 ADD CONSTRAINT FK_DOCITEM_ALIQUOTA FOREIGN KEY ( DocIte_AliId ) REFERENCES Aliquota(Ali_Id);
 
DROP INDEX FK_DOCITEM_PROMOCAO;

ALTER TABLE DocumentoItem DROP CONSTRAINT FK_DOCITEM_PROMOCAO;

ALTER TABLE DocumentoItem DROP Promo_Id;

ALTER TABLE DocumentoItem ADD DocIte_PromoId BIGINT;

CREATE INDEX FKDOCITEM_PROMOCAO ON DocumentoItem ( DocIte_PromoId );
 
ALTER TABLE DocumentoItem
 ADD CONSTRAINT FKDOCITEM_PROMOCAO FOREIGN KEY ( DocIte_PromoId ) REFERENCES Promocao(Promo_Id);

DROP INDEX FK_DOCITEM_ESTOQUE;

ALTER TABLE DocumentoItem DROP CONSTRAINT FK_DOCITEM_ESTOQUE;

ALTER TABLE DocumentoItem DROP Est_Id;

ALTER TABLE DocumentoItem ADD DocIte_EstId SMALLINT NOT NULL DEFAULT 1;
 
ALTER TABLE DocumentoItem ALTER COLUMN DocIte_EstId DROP DEFAULT;
 
CREATE INDEX FK_DOCITEM_ESTOQUE ON DocumentoItem ( DocIte_EstId ); 

ALTER TABLE DocumentoItem
 ADD CONSTRAINT FK_DOCITEM_ESTOQUE FOREIGN KEY ( DocIte_EstId ) REFERENCES Estoque(Est_Id);

DROP INDEX FK_DOCITEM_MEDICO;

ALTER TABLE DocumentoItem DROP CONSTRAINT FK_DOCITEM_MEDICO;

ALTER TABLE DocumentoItem DROP Med_Id;

ALTER TABLE DocumentoItem ADD DocIte_MedId BIGINT;

CREATE INDEX FK_DOCITEM_MEDICO ON DocumentoItem ( DocIte_MedId );

ALTER TABLE DocumentoItem
 ADD CONSTRAINT FK_DOCITEM_MEDICO FOREIGN KEY ( DocIte_MedId ) REFERENCES Medico(Med_Id);

DROP INDEX FK_DOCITEM_MOTIVOPRECO;

ALTER TABLE DocumentoItem DROP CONSTRAINT FK_DOCITEM_MOTIVOPRECO; 

ALTER TABLE DocumentoItem DROP MotPre_Id;

ALTER TABLE DocumentoItem ADD DocIte_MotPreId SMALLINT;

CREATE INDEX FK_DOCITEM_MOTIVOPRECO ON DocumentoItem ( DocIte_MotPreId );

ALTER TABLE DocumentoItem
 ADD CONSTRAINT FK_DOCITEM_MOTIVOPRECO FOREIGN KEY ( DocIte_MotPreId ) REFERENCES MotivoPreco(MotPre_Id);

DROP INDEX FK_DOCITEM_CONCORRENTE;

ALTER TABLE DocumentoItem DROP CONSTRAINT FK_DOCITEM_CONCORRENTE;

ALTER TABLE DocumentoItem DROP Con_Id;

ALTER TABLE DocumentoItem ADD DocIte_ConId SMALLINT;

CREATE INDEX FK_DOCITEM_CONCORRENTE ON DocumentoItem ( DocIte_ConId );

ALTER TABLE DocumentoItem 
  ADD CONSTRAINT FK_DOCITEM_CONCORRENTE FOREIGN KEY ( DocIte_ConId ) REFERENCES Concorrente(Con_Id);

ALTER TABLE Documento ADD Doc_ImpostosValidadeId SMALLINT;

CREATE INDEX FK_DOCUMENTO_ALIQUOTA ON Documento ( Doc_ImpostosValidadeId );

ALTER TABLE Documento
 ADD CONSTRAINT FK_DOCUMENTO_ALIQUOTA FOREIGN KEY ( Doc_ImpostosValidadeId ) REFERENCES AliquotaValidade(AliVal_Id);
	
select 'OK' from ambiente;
 
MD5:1CD7F4081C86E2F22406DBFE12326354