CREATE SEQUENCE Adc_Id MINVALUE 100 INCREMENT 1;
  
CREATE TABLE Adcional 
	(Adc_Id smallint NOT NULL  DEFAULT nextval('Adc_Id'), 
	 Adc_Chave VARCHAR(20) NOT NULL , 
	 Adc_Nome VARCHAR(64) NOT NULL , 
	 Adc_Lista VARCHAR(80) NOT NULL , 
	 Adc_Sugere BOOLEAN NOT NULL , 
	 Adc_VendaAvulsa BOOLEAN NOT NULL , 
	 Adc_CorrespondenteId smallint NOT NULL , 
	 Adc_Imprime BOOLEAN NOT NULL , 
	 Adc_Validade smallint NOT NULL , 
	 Adc_FormatoImpressao TEXT NOT NULL , 
	 Adc_TipoDeValidade smallint NOT NULL , 
	 Adc_SomaGarantia BOOLEAN NOT NULL , 
	 Adc_NumeroInicial bigint NOT NULL , 
	 Adc_FormulaDoNumero TEXT NOT NULL , 
	 Adc_DescontoMaximo NUMERIC(7,4) NOT NULL , 
	 Adc_AcrescimoMaximo NUMERIC(7,4) NOT NULL , 
	 Adc_ValorAvulso NUMERIC(13,2) NOT NULL , 
	 Adc_PercentualDeIOF NUMERIC(7,4) NOT NULL , 
	 Adc_PercentualDeComissao NUMERIC(7,4) NOT NULL , 
	 Adc_DiasParaRestituicao smallint NOT NULL , 
	 Adc_RestricaoDePessoa VARCHAR(1) NOT NULL , 
	 Adc_Ativo BOOLEAN NOT NULL , 
	 Adc_InclusoEm timestamp without time zone NOT NULL , 
	 Adc_AlteradoEm timestamp without time zone NOT NULL , 
	 Adc_Assinatura VARCHAR(50) NOT NULL , 
	 PRIMARY KEY(Adc_Id)
	) ;
 
CREATE INDEX FK_ADCIONAL_CORRESPONDENTE ON Adcional (Adc_CorrespondenteId);

ALTER TABLE Adcional
 ADD CONSTRAINT FK_ADCIONAL_CORRESPONDENTE FOREIGN KEY ( Adc_CorrespondenteId ) REFERENCES CorrespondenteBancario(CorBan_Id);

CREATE UNIQUE INDEX UQ_ADCIONAL_CHAVE ON Adcional (Adc_Chave);

CREATE INDEX IN_ADCIONAL_NOME ON Adcional (Adc_Nome);

CREATE INDEX IN_ADCIONAL_LISTA ON Adcional (Adc_Lista); 

CREATE SEQUENCE AdcPro_Id MINVALUE 100 INCREMENT 1;
  
CREATE TABLE AdcionalProduto 
   (AdcPro_Id bigint NOT NULL  DEFAULT nextval('AdcPro_Id'), 
	AdcPro_Ativo BOOLEAN NOT NULL , 
	AdcPro_InclusoEm timestamp without time zone NOT NULL , 
	AdcPro_AlteradoEm timestamp without time zone NOT NULL , 
	AdcPro_DadosAssinados TEXT NOT NULL , 
	AdcPro_Assinatura VARCHAR(50) NOT NULL , 
	AdcPro_AdcionalId smallint NOT NULL , 
	AdcPro_ProId bigint NOT NULL , 
	AdcPro_Valor NUMERIC(13,2) NOT NULL , 
	AdcPro_Percentual NUMERIC(7,4) NOT NULL , 
	AdcPro_CodigoNaSeguradora VARCHAR(20) NOT NULL , 
	AdcPro_Chave VARCHAR(20) NOT NULL , 
	PRIMARY KEY(AdcPro_Id)
   ) ;
 
CREATE UNIQUE INDEX UQ_ADCIONALPRODUTO_CHAVE ON AdcionalProduto (AdcPro_Chave);

CREATE INDEX FK_ADCIONALPRODUTO_ADCIONAL ON AdcionalProduto (AdcPro_AdcionalId);

CREATE INDEX FK_ADCIONALPRODUTO_PRODUTO ON AdcionalProduto (AdcPro_ProId);

ALTER TABLE AdcionalProduto
 ADD CONSTRAINT FK_ADCIONALPRODUTO_ADCIONAL FOREIGN KEY ( AdcPro_AdcionalId ) REFERENCES Adcional(Adc_Id);

ALTER TABLE AdcionalProduto
 ADD CONSTRAINT FK_ADCIONALPRODUTO_PRODUTO FOREIGN KEY ( AdcPro_ProId ) REFERENCES Produto(Pro_Id);

select 'OK' from ambiente;
 
MD5:2050E1171C3434AC34BA248640B5056D

