CREATE SEQUENCE Ctt_Id MINVALUE 100 INCREMENT 1;
 
CREATE TABLE Contrato 
 (Ctt_Id                 BIGINT NOT NULL DEFAULT Nextval('Ctt_Id'),
  Ctt_TrnId              BIGINT NOT NULL,
  Ctt_Assinatura         VARCHAR(32) NOT NULL,
  Ctt_Chave              VARCHAR(20),
  Ctt_DocId              BIGINT,
  Ctt_DocIteId           SMALLINT,
  Ctt_TipoDeValidade     SMALLINT      NOT NULL,
  Ctt_Validade           SMALLINT      NOT NULL,
  Ctt_Valor              NUMERIC(13,2) NOT NULL,
  Ctt_ValorOriginal      NUMERIC(13,2) NOT NULL,
  Ctt_Observacao         TEXT,
  Ctt_PercentualOriginal NUMERIC(7,4)  NOT NULL,
  Ctt_PercentualDeIOF    NUMERIC(7,4)  NOT NULL,
  Ctt_ValorDeIOF         NUMERIC(13,2) NOT NULL,
  Ctt_ValorDeComissao    NUMERIC(13,2) NOT NULL,
  Ctt_AdcProId           BIGINT,
  Ctt_AdcionalId         SMALLINT      NOT NULL,
  Ctt_Numero             BIGINT        NOT NULL,
  Ctt_CodigoAvulso       VARCHAR(20),
  Ctt_SomaTotal          BOOLEAN       NOT NULL,
  Ctt_CodigoIMEI         VARCHAR(20),
      PRIMARY KEY ( Ctt_Id )
  );

CREATE INDEX FK_CONTRATO_TRANSACAO ON Contrato (Ctt_TrnId); 

CREATE INDEX FK_CONTRATO_DOCUMENTOITEM ON Contrato (Ctt_DocId, Ctt_DocIteId);

CREATE INDEX FK_CONTRATO_ADCIONALPRODUTO ON Contrato (Ctt_AdcProId);

CREATE INDEX FK_CONTRATO_ADCIONAL ON Contrato (Ctt_AdcionalId);

CREATE INDEX IN_CONTRATO_NUMERO ON Contrato (Ctt_Numero);

ALTER TABLE Contrato
 ADD CONSTRAINT FK_CONTRATO_TRANSACAO FOREIGN KEY ( Ctt_TrnId ) REFERENCES Transacao(Trn_Id);

ALTER TABLE Contrato
 ADD CONSTRAINT FK_CONTRATO_DOCUMENTOITEM FOREIGN KEY ( Ctt_DocId,Ctt_DocIteId ) REFERENCES DocumentoItem(Doc_Id,DocIte_Id);

ALTER TABLE Contrato
 ADD CONSTRAINT FK_CONTRATO_ADCIONALPRODUTO FOREIGN KEY ( Ctt_AdcProId ) REFERENCES AdcionalProduto(AdcPro_Id);

ALTER TABLE Contrato
 ADD CONSTRAINT FK_CONTRATO_ADCIONAL FOREIGN KEY ( Ctt_AdcionalId ) REFERENCES Adcional(Adc_Id);

select 'OK' from ambiente;
 
MD5:729DB82D1F9A7665E62A383A09D8D3D1

