update documento
set EndCob_ParId = null, EndCob_Id = null
where (EndCob_ParId, EndCob_Id) not in (select Par_Id, End_Id from endereco);

update documento
set EndFat_ParId = null, EndFat_Id = null
where (EndFat_ParId, EndFat_Id) not in (select Par_Id, End_Id from endereco);

update documento
set EndEnt_ParId = null, EndEnt_Id = null
where (EndEnt_ParId, EndEnt_Id) not in (select Par_Id, End_Id from endereco);

CREATE UNIQUE INDEX UQ_DOC_TRANSACAO ON Documento (Doc_TrnId);
CREATE INDEX FK_DOC_TRANSPORTADORA ON Documento (Tra_Id);
CREATE INDEX FK_DOC_TABELAPRECO ON Documento (TabPre_Id);
CREATE INDEX FK_DOC_NATUREZA ON Documento (Nat_Id);
CREATE INDEX FK_DOC_PLANO ON Documento (Pla_Id);
CREATE INDEX FK_DOC_INDICADOR ON Documento (Ind_Id);
CREATE INDEX FK_DOC_SERIE ON Documento (Ser_Id);
CREATE INDEX FK_DOC_MOTIVODEVOLUCAO ON Documento (MotDev_Id);
CREATE INDEX FK_DOC_VENDEDOR ON Documento (Vdd_Id);
CREATE INDEX FK_DOC_ENDERECOFATURA ON Documento (EndFat_ParId,EndFat_Id);
CREATE INDEX FK_DOC_ENDERECOCOBRANCA ON Documento (EndCob_ParId,EndCob_Id);
CREATE INDEX FK_DOC_ENDERECOENTREGA ON Documento (EndEnt_ParId,EndEnt_Id);
CREATE INDEX FK_DOCUMENTO_ALIQUOTA ON Documento (Doc_ImpostosValidadeId);
CREATE INDEX IN_DOC_CODIGOEXTERNO ON Documento (Doc_CodigoExterno);

ALTER TABLE Documento ADD CONSTRAINT FK_DOC_TRANSPORTADORA FOREIGN KEY ( Tra_Id ) REFERENCES Transportadora(Tra_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_SERIE FOREIGN KEY ( Ser_Id ) REFERENCES Serie(Ser_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_INDICADOR FOREIGN KEY ( Ind_Id ) REFERENCES Indicador(Ind_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_MOTIVODEVOLUCAO FOREIGN KEY ( MotDev_Id ) REFERENCES MotivoDevolucao(MotDev_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_PLANO FOREIGN KEY ( Pla_Id ) REFERENCES Plano(Pla_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_NATUREZA FOREIGN KEY ( Nat_Id ) REFERENCES Natureza(Nat_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_TABELAPRECO FOREIGN KEY ( TabPre_Id ) REFERENCES TabelaPreco(TabPre_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_TRANSACAO FOREIGN KEY ( Doc_TrnId ) REFERENCES Transacao(Trn_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_ENDERECOCOBRANCA FOREIGN KEY ( EndCob_ParId,EndCob_Id ) REFERENCES Endereco(Par_Id,End_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_ENDERECOENTREGA FOREIGN KEY ( EndEnt_ParId,EndEnt_Id ) REFERENCES Endereco(Par_Id,End_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_ENDERECOFATURA FOREIGN KEY ( EndFat_ParId,EndFat_Id ) REFERENCES Endereco(Par_Id,End_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOC_VENDEDOR FOREIGN KEY ( Vdd_Id ) REFERENCES Usuario(Usu_Id);
ALTER TABLE Documento ADD CONSTRAINT FK_DOCUMENTO_ALIQUOTA FOREIGN KEY ( Doc_ImpostosValidadeId ) REFERENCES AliquotaValidade(AliVal_Id);

ALTER TABLE Tmp_Documento ADD TmpDoc_UniNegChave VARCHAR(20) NOT NULL DEFAULT '';
 
ALTER TABLE Tmp_Documento ALTER COLUMN TmpDoc_UniNegChave DROP DEFAULT;
 
ALTER TABLE Documento DROP UniNeg_Id;
 
UPDATE Transacao SET Trn_UniNegId = 1;

ALTER TABLE Transacao ALTER COLUMN Trn_UniNegId SET NOT NULL;

select 'OK' from ambiente;
 
MD5:A1E412C118A1083251B69C94B6C6D6DC

