DROP TABLE FinanceiroTEF CASCADE;

CREATE SEQUENCE TEF_Id MINVALUE 100 INCREMENT 1;
 
CREATE TABLE TEF 
   (TEF_Id bigint NOT NULL  DEFAULT nextval('TEF_Id'), 
    TEF_Autorizacao bigint , 
    TEF_Lote bigint , 
    TEF_NSU bigint , 
    TEF_Valor NUMERIC(13,2) , 
    TEF_DataHora timestamp without time zone NOT NULL , 
    TEF_Atributos TEXT , 
    Car_Id smallint NOT NULL , 
    TEF_Situacao VARCHAR(1) NOT NULL , 
    Fin_Id bigint , 
    TEF_TrnId bigint NOT NULL , 
    TEF_Modalidade smallint NOT NULL , 
    TEF_Assinatura VARCHAR(50) NOT NULL , 
    PRIMARY KEY(TEF_Id)
   );

CREATE INDEX FK_TEF_CARTAO ON TEF (Car_Id);

CREATE INDEX FK_TEF_FINANCEIRO ON TEF (Fin_Id);

CREATE INDEX FK_TEF_TRANSACAO ON TEF (TEF_TrnId);

ALTER TABLE TEF ADD CONSTRAINT FK_TEF_CARTAO FOREIGN KEY ( Car_Id ) REFERENCES Cartao(Car_Id);

ALTER TABLE TEF ADD CONSTRAINT FK_TEF_FINANCEIRO FOREIGN KEY ( Fin_Id ) REFERENCES Financeiro(Fin_Id);

ALTER TABLE TEF ADD CONSTRAINT FK_TEF_TRANSACAO FOREIGN KEY ( TEF_TrnId ) REFERENCES Transacao(Trn_Id);

CREATE INDEX IN_TEF_SITUACAO ON TEF (TEF_Situacao);

select 'OK' from ambiente;
 
MD5:869A836D2DD96308C7F9CE1A825B9B7A