-- RECRIA AS VIEWS DEPOIS CADA UPGRADE DE BASE --

drop view Fechamento cascade;

create view Fechamento as 
select min(Fin.Fin_Id) as Fec_Id,
       coalesce(FinChe_Id,1)  as Fec_ItemId,
       Trn_CaiId as Fec_CaiId, 
       Trn_ResumoDeCaixa as Fec_Origem, 
       coalesce( Ser_Chave, SanRef_Chave ) as Fec_Serie, 
       Mei_Tipo as Fec_Meio,
       coalesce( CCC_Chave, OutMei_Chave, Car_Chave, Moe_Chave ) as Fec_Codigo,
       cast( case when Mei_Tipo in ('C','2') then 'C'
	              when Mei_Tipo in ('D','1') then 'D'
				  when FinChe_Id is null or Trn_fim::Date = FinChe_Vencimento then 'V' 
				  else 'P' 
			 end as varchar(1)) as Fec_Condicao,
       sum( Coalesce( FinChe_Valor, Fin_ValorPrimeira + ( Fin_QtdParcelas * Fin_ValorParcelas ) ) ) as Fec_Valor
from transacao Trn inner join Financeiro Fin             on Fin_TrnId  = Trn.Trn_Id
                   inner join Meio Mei                   on Mei_Id     = Fin_MeiId
                   left  join TEF Tef                    on Tef.Fin_id = Fin.Fin_Id
                   left  join FinanceiroCartaoManual Man on Man.Fin_Id = Fin.Fin_Id
                   left  join FinanceiroCCC Ccc          on Ccc.Fin_Id = Fin.Fin_Id
                   left  join FinanceiroOutros Out       on Out.Fin_Id = Fin.Fin_Id
                   left  join FinanceiroMoeda Moe        on Moe.Fin_Id = Fin.Fin_Id
                   left  join FinanceiroCheque Che       on Che.Fin_id = Fin.Fin_Id
                   left  join Documento Doc              on Doc_TrnId  = Trn.Trn_Id 
                   left  join MovimentoCaixa Mov         on Mov.Trn_Id = Trn.Trn_Id 
				   left  join SangriaReforco S_R         on S_R.SanRef_Id  = Mov.SanRef_Id
                   left  join Serie Ser                  on Ser.Ser_id = Doc.Ser_Id
                   left  join Cancelamento Can           on Can_TrnId  = Trn.Trn_Id
                   left  join ContaCorrente Ch1          on Ch1.Ccc_Id = Ccc.Ccc_Id
                   left  join Moeda Ch2                  on Ch2.Moe_Id = Moe.Moe_Id
                   left  join Cartao Ch3                 on Ch3.Car_Id = coalesce( Tef.Car_id, Man.Car_Id )
                   left  join OutrosMeios Ch4            on Ch4.OutMei_Id = Out.OutMei_Id
where Can_TrnId is null
  and Fin_Situacao = 'N' -- Somente lancamentos financeiros nao cancelados
  and Fin_DebitoCredito = 'C' -- Somente o lancamento de credito (troco tambem e credito)
  and Trn_Situacao = 'F' -- Somente transacoes finalizadas
  and Trn_ResumoDeCaixa <> 'X' -- Lancamentos sem tipo correspondente no BackOffice
  and Mei_Tipo <> 'B' -- Boleto
  and Mei_Tipo <> 'N' -- Carne ou Carteira
group by FinChe_Id, Trn_CaiId, Trn_ResumoDeCaixa, Ser_Chave, SanRef_Chave, Mei_Tipo,
         coalesce( CCC_Chave, OutMei_Chave, Car_Chave, Moe_Chave ),
         cast( case when Mei_Tipo in ('C','2') then 'C'
	              when Mei_Tipo in ('D','1') then 'D'
				  when FinChe_Id is null or Trn_fim::Date = FinChe_Vencimento then 'V' 
				  else 'P' 
			   end as varchar(1))
union all
select cast( 1 as BigInt ) as Fec_Id, 
       cast( 1 as integer ) as Fec_ItemId ,
       Con.Cai_Id as Fec_CaiId,
       cast( '9' as varchar(1) ) as Fec_Origem,
       cast( '' as varchar(20) ) as Fec_Serie,
       Mei_Tipo  as Fec_Meio,
       Moe_Chave as Fec_Codigo,
       cast( 'V' as varchar(1) ) as Fec_Condicao,
       sum( CaiCon_ValorContado - CaiCon_ValorApurado ) as Fec_Valor
from CaixaContagem Con inner join Meio  Mei on Mei.Mei_Id = Con.Mei_Id
                       inner join Caixa Cai on Cai.Cai_Id = Con.Cai_Id
                       inner join Moeda Moe on Moe.Moe_Id = (select case when Mei_TipoId = 1 then Cfg_MoedaCorrenteId else Mei_TipoId end from configuracao)
where CaiCon_ValorApurado <> CaiCon_ValorContado
 and not Cai.Cai_SemContagem
 and Cai.Cai_Id = 137
group by Con.Cai_Id, Mei_Tipo, Moe_Chave;
  
MD5:8A50426F3630DE81AB5C487345AF1B36

