ALTER TABLE Indicador 
	ADD Ind_Comissao NUMERIC(7,4) ;

ALTER TABLE Participante 
	ADD Par_IndicadorId BIGINT;

CREATE INDEX IN_PARTICIPANTE_INDICADOR ON Participante (Par_IndicadorId);

ALTER TABLE Participante
 ADD CONSTRAINT IN_PARTICIPANTE_INDICADOR FOREIGN KEY ( Par_IndicadorId ) REFERENCES Indicador(Ind_Id);
 
ALTER TABLE Configuracao 
	ADD Cfg_ObrigaVolumeNfe BOOLEAN , 
	ADD Cfg_ObrigaPesoNfe BOOLEAN ;

drop view DocumentoItemFiscal;

create view DocumentoItemFiscal as
select Doc_Id                                   as IteFis_Id,
       DocIte_ItemFiscalId                      as IteFis_ItemId,
       Doc_Id, min(DocIte_Id)                   as DocIte_Id,
       sum(DocIte_Quantidade)                   as IteFis_Quantidade,
       sum(DocIte_QuantidadeEmbalagem)          as IteFis_QuantidadeEmbalagem,
       sum(DocIte_Desconto)                     as IteFis_Desconto,
       sum(DocIte_Acrescimo)                    as IteFis_Acrescimo,
       sum(DocIte_ValorTotal)                   as IteFis_ValorTotal,
       sum(DocIte_ValorFrete)                   as IteFis_ValorFrete,
       sum(DocIte_ValorSeguro)                  as IteFis_ValorSeguro,
       sum(DocIte_DocAcrescimoRateado)          as IteFis_DocAcrescimoRateado,
       sum(DocIte_DocDescontoRateado)           as IteFis_DocDescontoRateado,
       sum(DocIte_DescontoPromocional)          as IteFis_DescontoPromocional,
	   sum(DocIte_BaseICMS)                     as IteFis_BaseICMS,
       sum(DocIte_ValorICMS)                    as IteFis_ValorICMS,
	   sum(DocIte_BaseIPI)                      as IteFis_BaseIPI,
       sum(DocIte_ValorIPI)                     as IteFis_ValorIPI,
       sum(DocIte_BaseIPICalculado)             as IteFis_BaseIPICalculado,
       sum(DocIte_ValorIPICalculado)            as IteFis_ValorIPICalculado,
       sum(DocIte_BaseISS)                      as IteFis_BaseISS,
       sum(DocIte_ValorISS)                     as IteFis_ValorISS,
       sum(DocIte_ValorIRRF)                    as IteFis_ValorIRRF,
       sum(DocIte_BasePIS)                      as IteFis_BasePIS,
       sum(DocIte_ValorPIS)                     as IteFis_ValorPIS,
       sum(DocIte_BaseCOFINS)                   as IteFis_BaseCOFINS,
       sum(DocIte_ValorCOFINS)                  as IteFis_ValorCOFINS,
       sum(DocIte_QtdIsentoPISeCOFINS)          as IteFis_QtdIsentoPISeCOFINS,
       sum(DocIte_BaseST)                       as IteFis_BaseST,
       sum(DocIte_ValorST)                      as IteFis_ValorST,
       sum(DocIte_ValorCreditoSimples)          as IteFis_ValorCreditoSimples,
       sum(DocIte_BaseSTCompra)                 as IteFis_BaseSTCompra,
       sum(DocIte_ValorSTCompra)                as IteFis_ValorSTCompra,
       sum(DocIte_BaseIPICompra)                as IteFis_BaseIPICompra,
       sum(DocIte_ValorIPICompra)               as IteFis_ValorIPICompra,
       sum(DocIte_ValorFreteCompra)             as IteFis_ValorFreteCompra,
       sum(DocIte_ValorOutrasTaxas)             as IteFis_ValorOutrasTaxas,
       sum(DocIte_SubsidioDeFrete)              as IteFis_SubsidioDeFrete,
       sum(DocIte_ImpostosFederais)             as IteFis_ImpostosFederais,
       sum(DocIte_ImpostosEstaduais)            as IteFis_ImpostosEstaduais,
       sum(DocIte_ImpostosMunicipais)           as IteFis_ImpostosMunicipais,
       sum(DocIte_QuantidadePrescrita)          as IteFis_QuantidadePrescrita,
       sum(DocIte_ValorCOFINSdoProduto)         as IteFis_ValorCOFINSdoProduto,
       sum(DocIte_ValorPISdoProduto)            as IteFis_ValorPISdoProduto,
       sum(DocIte_ValorContribuicaoSocial)      as IteFis_ValorContribuicaoSocial,
       avg(DocIte_PercentualLucro)              as IteFis_PercentualLucro,
       sum(DocIte_ValorLucro)                   as IteFis_ValorLucro,
       sum(DocIte_ValorComissao)                as IteFis_ValorComissao,
       sum(DocIte_DespesaOperacional)           as IteFis_DespesaOperacional,
       sum(DocIte_DespesaOperacionalFixa)       as IteFis_DespesaOperacionalFixa,
       sum(DocIte_ValorComissaoSugeridos)       as IteFis_ValorComissaoSugeridos,
       sum(DocIte_ValorICMSDiferido)            as IteFis_ValorICMSDiferido,
       sum(DocIte_ValorICMSSemDiferimento)      as IteFis_ValorICMSSemDiferimento,
       sum(DocIte_BaseICMSDestino)              as IteFis_BaseICMSDestino,
       sum(DocIte_ValorICMSDestino)             as IteFis_ValorICMSDestino,
       sum(DocIte_ValorICMSOrigem)              as IteFis_ValorICMSOrigem,
       sum(DocIte_ValorICMSFundoPobrezaDestino) as IteFis_ValorICMSFundoPobrezaDestino,
	   sum(Pro_PesoLiquido)						as IteFis_PesoLiquido,
	   sum(Pro_PesoBruto)						as IteFis_PesoBruto
from DocumentoItem inner join Produto on Pro_Id = DocIte_ProId
where doc_Id = (select max(doc_Id) from documento)
group by Doc_Id, DocIte_ItemFiscalId;

select 'OK' from ambiente;
 
MD5:5EFB74826662FE7407D658953326D7F2
