CREATE SEQUENCE OSFlu_Id MINVALUE 1 INCREMENT 1;
 
CREATE TABLE OsFluxo 
	(OSFlu_Id smallint NOT NULL  DEFAULT nextval('OSFlu_Id'), 
	 OSFlu_Chave VARCHAR(20) NOT NULL , 
	 OSFlu_Nome VARCHAR(40) NOT NULL , 
	 OSFlu_Lista VARCHAR(55) NOT NULL , 
	 OSFlu_Ativo BOOLEAN NOT NULL , 
	 OSFlu_InclusoEm timestamp without time zone NOT NULL , 
	 OSFlu_AlteradoEm timestamp without time zone NOT NULL , 
	 OSFlu_Assinatura VARCHAR(50) NOT NULL , 
	 PRIMARY KEY(OSFlu_Id)) ;
 
CREATE INDEX UQ_OSFLUXO_CHAVE ON OsFluxo (OSFlu_Chave);
CREATE INDEX IN_OSFLUXO_NOME ON OsFluxo (OSFlu_Nome);
CREATE INDEX IN_OSFLUXO_LISTA ON OsFluxo (OSFlu_Lista);

CREATE SEQUENCE OSSit_Id MINVALUE 1 INCREMENT 1; 
 
CREATE TABLE OsSituacao 
	(OSSit_Id smallint NOT NULL  DEFAULT nextval('OSSit_Id'), 
	 OSSit_TipoSituacao VARCHAR(1) NOT NULL , 
	 OSSit_Chave VARCHAR(20) NOT NULL , 
	 OSSit_Nome VARCHAR(40) NOT NULL , 
	 OSSit_Lista VARCHAR(55) NOT NULL , 
	 OSSit_Ativo BOOLEAN NOT NULL , 
	 OSSit_InclusoEm timestamp without time zone NOT NULL , 
	 OSSit_AlteradoEm timestamp without time zone NOT NULL , 
	 OSSit_Assinatura VARCHAR(50) NOT NULL , 
	 PRIMARY KEY(OSSit_Id)); 

CREATE UNIQUE INDEX UQ_OSSITUACAO_CHAVE ON OsSituacao (OSSit_Chave);
CREATE INDEX IN_OSSITUACAO_NOME ON OsSituacao (OSSit_Nome);
CREATE INDEX IN_OSSITUACAO_LISTA ON OsSituacao (OSSit_Lista);

CREATE SEQUENCE OSCl2_Id MINVALUE 1 INCREMENT 1; 
 
CREATE TABLE OsClasse2 
	(OSCl2_Id smallint NOT NULL  DEFAULT nextval('OSCl2_Id'), 
	OSCl2_Chave VARCHAR(20) NOT NULL , 
	OSCl2_Nome VARCHAR(40) NOT NULL , 
	OSCl2_Lista VARCHAR(55) NOT NULL , 
	OSCl2_Ativo BOOLEAN NOT NULL , 
	OSCl2_Assinatura VARCHAR(50) NOT NULL , 
	OSCl2_InclusoEm timestamp without time zone NOT NULL , 
	OSCl2_AlteradoEm timestamp without time zone NOT NULL , 
	PRIMARY KEY(OSCl2_Id)) ;
 
CREATE UNIQUE INDEX UQ_OSCLASSE2_CHAVE ON OsClasse2 (OSCl2_Chave);
CREATE INDEX IN_OSCLASSE2_NOME ON OsClasse2 (OSCl2_Nome);
CREATE INDEX IN_OSCLASSE2_LISTA ON OsClasse2 (OSCl2_Lista);

CREATE SEQUENCE OSCl1_Id MINVALUE 1 INCREMENT 1; 
 
CREATE TABLE OsClasse1 
	(OSCl1_Id smallint NOT NULL  DEFAULT nextval('OSCl1_Id'), 
	 OSCl1_Chave VARCHAR(20) NOT NULL , 
	 OSCl1_Nome VARCHAR(40) NOT NULL , 
	 OSCl1_Lista VARCHAR(55) NOT NULL , 
	 OSCl1_Assinatura VARCHAR(50) NOT NULL , 
	 OSCl1_Ativo BOOLEAN NOT NULL , 
	 OSCl1_PedeAutorizacao BOOLEAN NOT NULL , 
	 OSCl1_HoraPadrao VARCHAR(15) NOT NULL , 
	 OSCl1_Origem VARCHAR(1) NOT NULL , 
	 OSCl1_InclusoEm timestamp without time zone NOT NULL , 
	 OSCl1_AlteradoEm timestamp without time zone NOT NULL , 
	 PRIMARY KEY(OSCl1_Id)) ; 

CREATE UNIQUE INDEX UQ_OSCLASSE1_CHAVE ON OsClasse1 (OSCl1_Chave);
CREATE INDEX IN_OSCLASSE1_NOME ON OsClasse1 (OSCl1_Nome);
CREATE INDEX IN_OSCLASSE1_LISTA ON OsClasse1 (OSCl1_Lista);

select 'OK' from ambiente;
 
MD5:EFF23A589922747115FAEFC7918C69BB
