
CREATE OR REPLACE VIEW FechamentoCaixa AS 
 SELECT min(fin.fin_id) AS fec_id,
    COALESCE(che.finche_id::integer, 1) AS fec_itemid,
    trn.trn_caiid AS fec_caiid,
    trn.trn_resumodecaixa AS fec_origem,
    COALESCE(ser.ser_chave, s_r.sanref_chave) AS fec_serie,
    mei.mei_tipo AS fec_meio,
    COALESCE(ch1.ccc_chave, ch4.outmei_chave, ch3.car_chave, ch2.moe_chave, md0.moe_chave) AS fec_codigo,
        CASE
            WHEN mei.mei_tipo::text = ANY (ARRAY['C'::character varying, '2'::character varying]::text[]) THEN 'C'::text
            WHEN mei.mei_tipo::text = ANY (ARRAY['D'::character varying, '1'::character varying]::text[]) THEN 'D'::text
            WHEN che.finche_id IS NULL OR trn.trn_fim::date = che.finche_vencimento THEN 'V'::text
            ELSE 'P'::text
        END::character varying(1) AS fec_condicao,
    sum(COALESCE(che.finche_valor, fin.fin_valorprimeira + fin.fin_qtdparcelas::numeric * fin.fin_valorparcelas)) AS fec_valor
   FROM transacao trn
     JOIN financeiro fin ON fin.fin_trnid = trn.trn_id
     JOIN meio mei ON mei.mei_id = fin.fin_meiid
     LEFT JOIN tef tef ON tef.fin_id = fin.fin_id
     LEFT JOIN financeirocartaomanual man ON man.fin_id = fin.fin_id
     LEFT JOIN financeiroccc ccc ON ccc.fin_id = fin.fin_id
     LEFT JOIN financeirooutros fou ON fou.fin_id = fin.fin_id
     LEFT JOIN financeiromoeda moe ON moe.fin_id = fin.fin_id
     LEFT JOIN financeirocheque che ON che.fin_id = fin.fin_id
     LEFT JOIN documento doc ON doc.doc_trnid = trn.trn_id
     LEFT JOIN movimentocaixa mov ON mov.trn_id = trn.trn_id
     LEFT JOIN sangriareforco s_r ON s_r.sanref_id = mov.sanref_id
     LEFT JOIN serie ser ON ser.ser_id = doc.ser_id
     LEFT JOIN cancelamento can ON can.can_trnid = trn.trn_id
     LEFT JOIN contacorrente ch1 ON ch1.ccc_id = ccc.ccc_id and ch1.ccc_id <> 1
     LEFT JOIN moeda ch2 ON ch2.moe_id = moe.moe_id and ch2.moe_id <> 1
     LEFT JOIN cartao ch3 ON ch3.car_id = COALESCE(tef.car_id, man.car_id) and ch3.car_id <> 1
     LEFT JOIN outrosmeios ch4 ON ch4.outmei_id = fou.outmei_id and ch4.outmei_id <> 1
	 LEFT JOIN moeda md0 on md0.moe_Id = 100
  WHERE can.can_trnid IS NULL AND fin.fin_situacao::text = 'N'::text AND fin.fin_debitocredito::text = 'C'::text AND trn.trn_situacao::text = 'F'::text AND trn.trn_resumodecaixa::text <> 'X'::text AND mei.mei_tipo::text <> 'B'::text AND mei.mei_tipo::text <> 'N'::text
  GROUP BY che.finche_id, trn.trn_caiid, trn.trn_resumodecaixa, ser.ser_chave, s_r.sanref_chave, mei.mei_tipo, 
           (COALESCE(ch1.ccc_chave, ch4.outmei_chave, ch3.car_chave, ch2.moe_chave, md0.moe_chave)), (
        CASE
            WHEN mei.mei_tipo::text = ANY (ARRAY['C'::character varying, '2'::character varying]::text[]) THEN 'C'::text
            WHEN mei.mei_tipo::text = ANY (ARRAY['D'::character varying, '1'::character varying]::text[]) THEN 'D'::text
            WHEN che.finche_id IS NULL OR trn.trn_fim::date = che.finche_vencimento THEN 'V'::text
            ELSE 'P'::text
        END::character varying(1))
UNION ALL
 SELECT 1::bigint AS fec_id,
    1 AS fec_itemid,
    con.cai_id AS fec_caiid,
    '9'::character varying(1) AS fec_origem,
    ''::character varying(20) AS fec_serie,
    mei.mei_tipo AS fec_meio,
    moe.moe_chave AS fec_codigo,
    'V'::character varying(1) AS fec_condicao,
    sum(con.caicon_valorcontado - con.caicon_valorapurado) AS fec_valor
   FROM caixacontagem con
     JOIN meio mei ON mei.mei_id = con.mei_id
     JOIN caixa cai ON cai.cai_id = con.cai_id
     JOIN moeda moe ON moe.moe_id = (( SELECT
                CASE
                    WHEN mei.mei_tipoid = 1 THEN configuracao.cfg_moedacorrenteid
                    ELSE mei.mei_tipoid
                END AS mei_tipoid
           FROM configuracao))
  WHERE con.caicon_valorapurado <> con.caicon_valorcontado AND NOT cai.cai_semcontagem 
  GROUP BY con.cai_id, mei.mei_tipo, moe.moe_chave;

 select 'OK' from ambiente;
 
MD5:7F43EE8E675F64E424389362C592892A
  